ia64/xen-unstable

diff tools/check/check_crypto_lib @ 13032:afc6b5a60866

[TOOLS] Fix check-script compatibility with non-bash shells.
Signed-off-by: Keir Fraser <keir@xensource.com>
author kfraser@localhost.localdomain
date Thu Dec 14 16:00:31 2006 +0000 (2006-12-14)
parents d0eb5da1086b
children 75697d623a2b
line diff
     1.1 --- a/tools/check/check_crypto_lib	Thu Dec 14 15:43:40 2006 +0000
     1.2 +++ b/tools/check/check_crypto_lib	Thu Dec 14 16:00:31 2006 +0000
     1.3 @@ -1,11 +1,14 @@
     1.4 -#!/bin/bash
     1.5 +#!/bin/sh
     1.6  # CHECK-BUILD CHECK-INSTALL
     1.7  
     1.8 -function error {
     1.9 -    echo
    1.10 -    echo "  *** Check for crypto library FAILED"
    1.11 -    exit 1
    1.12 -}
    1.13 +RC=0
    1.14  
    1.15  set -e
    1.16 -ldconfig -p | grep -q libcrypto.so || error
    1.17 +ldconfig -v 2>&1 | grep -q libcrypto.so || RC=1
    1.18 +
    1.19 +if test ${RC} -ne 0; then
    1.20 +        echo
    1.21 +        echo " *** Check for crypto library FAILED"
    1.22 +fi
    1.23 +
    1.24 +exit ${RC}